import 'package:dart_json_mapper/dart_json_mapper.dart';

@jsonSerializable
class ProxyGroup {
  String? name;
  String type;
  List<String> proxies;

  ProxyGroup({required this.name, required this.type, required this.proxies});

  Map<String, dynamic> toYamlMap() {
    return {
      "name": name,
      "type": type,
      "proxies": proxies,
    };
  }
}